UbixOS V2 2.0

Data Fields
termios Struct Reference

`#include <ioctl.h>`

Collaboration diagram for termios:

## Data Fields
cc_t | c_cc [20]
tcflag_t | c_cflag
tcflag_t | c_iflag
speed_t | c_ispeed
tcflag_t | c_lflag
tcflag_t | c_oflag
speed_t | c_ospeed

## Detailed Description

Definition at line 36 of file ioctl.h.

## Field Documentation

## ◆ c_cc

cc_t termios::c_cc[20]

Definition at line 41 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_cflag

tcflag_t termios::c_cflag

Definition at line 39 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_iflag

tcflag_t termios::c_iflag

Definition at line 37 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_ispeed

speed_t termios::c_ispeed

Definition at line 42 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_lflag

tcflag_t termios::c_lflag

Definition at line 40 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_oflag

tcflag_t termios::c_oflag

Definition at line 38 of file ioctl.h.

Referenced by sys_ioctl().

## ◆ c_ospeed

speed_t termios::c_ospeed

Definition at line 43 of file ioctl.h.

Referenced by sys_ioctl().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/ioctl.h